
-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt
local M = {}

local helper = require('scripts/pacenotes/scenariohelper')
local mgr = nil

local function onScenarioChange(scenario)
    if scenario == nil then
        helper.onScenarioChange(mgr)
    end
end


local function onScenarioLoaded(scenario)
    mgr = helper.onScenarioLoaded(scenario, "ATT_hillclimb_2")
end

local function onRaceStart()
    helper.onRaceStart(mgr)
end

local function onRaceResult(time)
   helper.onRaceResult(mgr)
end

M.onRaceStart = onRaceStart
M.onRaceResult = onRaceResult
M.onScenarioLoaded = onScenarioLoaded
M.onScenarioChange = onScenarioChange

return M
